LA HORDE : Class 'Horde_ActiveSync_State_Sql' not found

,

I’m testing HORDE with a lastest stable version of yunohost

The read.me says to do that

"After you need to update the horde database schema and the horde config. So go on the horde config pannel (in the settings wheel > Preferences > Administration > Configuration). Click on
"Update all DB schemas" and then on "Update all configurations"."

But when I go here I’ve got there error

Une erreur fatale s’est produite
Class ‘Horde_ActiveSync_State_Sql’ not found
in /var/www/horde/pear/php/Horde/Core/Factory/ActiveSyncState.php:24

    Horde_Core_NoSql->getDrivers() /var/www/horde/horde/admin/config/index.php:297
    Horde_Core_NoSql->{closure}() /var/www/horde/pear/php/Horde/Core/Nosql.php:78
    Horde_Injector->getInstance() /var/www/horde/pear/php/Horde/Core/Nosql.php:51
    Horde_Injector->createInstance() /var/www/horde/pear/php/Horde/Injector.php:272
    Horde_Injector_Binder_Factory->create() /var/www/horde/pear/php/Horde/Injector.php:238
    Horde_Core_Factory_ActiveSyncState->create() /var/www/horde/pear/php/Horde/Injector/Binder/Factory.php:119

Détails
Le message d’erreur complet est enregistré dans les fichiers de log d’Horde. Il est disponible ci-dessous uniquement pour les administrateurs. Les utilisateurs standard ne verront pas le détail de cette erreur.

Neverless, this app runs but I ask if I should do a manuel installation of this package

root@XXXX:/home/admin# aptitude show php-horde-activesync
Package: php-horde-activesync            
Version: 2.37.4-1
State: not installed
Priority: extra

Any idea ?

Hello,

same error…

Installing php-horde-activesync means installing hundred of pakages, not sure this will be the right path to maintain Yuno safe…

The following additional packages will be installed:
ckeditor3 libc-client2007e libjs-bootstrap libjs-excanvas libjs-jquery-metadata libjs-jquery-tablesorter libjs-prototype
libjs-scriptaculous libjs-twitter-bootstrap mlock php-auth-sasl php-bz2 php-codecoverage php-deepcopy
php-doctrine-instantiator php-file-iterator php-geoip php-horde-alarm php-horde-auth php-horde-autoloader php-horde-browser
php-horde-cache php-horde-cli php-horde-compress php-horde-compress-fast php-horde-constraint php-horde-controller
php-horde-core php-horde-crypt php-horde-crypt-blowfish php-horde-css-parser php-horde-cssminify php-horde-data php-horde-date
php-horde-dav php-horde-db php-horde-editor php-horde-elasticsearch php-horde-exception php-horde-form php-horde-group
php-horde-hashtable php-horde-history php-horde-http php-horde-icalendar php-horde-idna php-horde-image php-horde-imap-client
php-horde-imsp php-horde-injector php-horde-javascriptminify php-horde-kolab-format php-horde-kolab-server
php-horde-kolab-session php-horde-kolab-storage php-horde-ldap php-horde-listheaders php-horde-lock php-horde-log
php-horde-logintasks php-horde-lz4 php-horde-mail php-horde-mapi php-horde-memcache php-horde-mime php-horde-mime-viewer
php-horde-nls php-horde-notification php-horde-oauth php-horde-pack php-horde-perms php-horde-prefs php-horde-queue
php-horde-routes php-horde-scribe php-horde-secret php-horde-serialize php-horde-service-twitter php-horde-sessionhandler
php-horde-share php-horde-smtp php-horde-socket-client php-horde-spellchecker php-horde-stream php-horde-stream-filter
php-horde-stream-wrapper php-horde-support php-horde-template php-horde-test php-horde-text-filter php-horde-text-flowed
php-horde-thrift php-horde-token php-horde-translation php-horde-tree php-horde-url php-horde-util php-horde-vfs
php-horde-view php-http php-http-request php-image-text php-imap php-memcache php-memcached php-msgpack php-net-dns2
php-net-imap php-net-smtp php-net-socket php-net-url php-net-url2 php-nrk-predis php-numbers-words php-pecl-http
php-phpdocumentor-reflection-docblock php-phpspec-prophecy php-propro php-raphf php-sabre-dav php-sabre-vobject php-seclib
php-ssh2 php-symfony-yaml php-text-captcha php-text-figlet php-text-languagedetect php-text-password php-text-template
php-timer php-token-stream php-xml-svg php7.0-bz2 php7.0-imap phpunit phpunit-code-unit-reverse-lookup phpunit-comparator
phpunit-diff phpunit-environment phpunit-exporter phpunit-global-state phpunit-mock-object phpunit-object-enumerator
phpunit-recursion-context phpunit-resource-operations phpunit-version
Paquets suggérés :
uw-mailutils php-xdebug php-horde-javascriptminify-jsmin php-horde-text-filter-jsmin php-dflydev-markdown php-erusev-parsedown
php-gmp php-compat phpunit-dbunit php-invoker php-uopz php-soap
Paquets recommandés :
php-horde-mongo php-pam php-sasl php-xcache php-lzf php-oci8 php-horde-stringprep php-idn

The Horde dependences are managed by pear not, by apt. I had also this error. I’ll see to fix this

Thanks for your response and time :wink:

BR,
Marc

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.